{% extends "main/pjax_base.html" %}

{% load static %}
{% load crispy_forms_tags %}

{% block title %}My tracks{% endblock %}

{% block pjax_content %}
<style>
.tracks-list .links a {
    width: 100%;
    margin-bottom: 10px;
}
.tracks-list .row {
    margin-top: 10px;
    padding: 10px;
}
.tracks-list .poster {
    max-width: 100%;
    max-height: 150px;
    margin: 0 auto;
}
.tracks-list .statistic {
    margin-top: 10px;
    font-size: 15px;
}
.tracks-list .statistic i {
    margin-left: 5px;
}
</style>
    <div class="container section">
        <div class="panel col-8 mx-auto">
            <div class="cover-img" style="background-image: url({% static 'main/img/new-track-cover.jpg' %})"></div>
            <div class="content">
                <h3 class="panel-header">My tracks</h3>
                {% if messages %}
                    {% for message in messages %}
                        <div class="alert alert-success section">{{ message }}</div>
                    {% endfor %}
                {% endif %}
                <div class="section tracks-list">
                    {% for track in tracks %}
                        <div class="row">
                            <div class="col-md-3 text-center">
                                <a href="{% url 'track_page' slug=track.slug %}" data-pjax>
                                    <img src="{% get_media_prefix %}{{ track.poster }}" class="poster">
                                </a>
                                <div class="statistic">
                                    <i class="fa fa-heart"></i> {{ track.number_of_likes }}
                                    <i class="fa fa-play"></i> {{ track.number_of_listens }}
                                    <i class="fa fa-comment"></i> 0
                                </div>
                            </div>
                            <div class="col-md-7">
                                <h4>{{ track.name }}</h4>
                                <p>
                                    {{ track.description|linebreaks }}
                                </p>
                            </div>
                            <div class="col-md-2 links">
                                <a href="{% url 'edit_track' slug=track.slug %}" class="btn main-btn-dark" data-pjax>
                                    Edit <i class="fa fa-edit"></i>
                                </a>
                                <a href="{% url 'delete_track' slug=track.slug %}" class="btn main-btn" data-pjax>
                                    Delete <i class="fa fa-times"></i>
                                </a>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
